package db

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_third_party_api.git/db/model"
	"xorm.io/xorm"
)

func GetTaobaoUserRelation(eg *xorm.Engine, unionId, uid int) *model.TaobaoUserRelation {
	var data model.TaobaoUserRelation
	get, _ := eg.Where("union_id=? and uid=?", unionId, uid).Get(&data)
	if get == false {
		return nil
	}
	return &data
}
func GetTaobaoUserRelationByUid(eg *xorm.Engine, uid int) *model.TaobaoUserRelation {
	var data model.TaobaoUserRelation
	get, _ := eg.Where(" uid=?", uid).Get(&data)
	if get == false {
		return nil
	}
	return &data
}
func TaobaoUserRelationExistByRelationID(Db *xorm.Engine, RelationID string) (bool, error) {
	has, err := Db.Where("relation_id = ? ", RelationID).Exist(&model.TaobaoUserRelation{})

	if err != nil {
		return false, err
	}
	return has, nil
}
func TaobaoUserRelationExistBySpecialId(Db *xorm.Engine, RelationID string) (bool, error) {
	has, err := Db.Where("special_id = ? ", RelationID).Exist(&model.TaobaoUserRelation{})

	if err != nil {
		return false, err
	}
	return has, nil
}
