package model

type TaobaoUserRelation struct {
	Id         int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid        int    `json:"uid" xorm:"default 0 unique(uid) INT(11)"`
	UnionId    int    `json:"union_id" xorm:"default 0 unique(uid) INT(11)"`
	RelationId int64  `json:"relation_id" xorm:"default 0 BIGINT(12)"`
	SpecialId  int64  `json:"special_id" xorm:"default 0 BIGINT(12)"`
	Nickname   string `json:"nickname" xorm:"not null default '' comment('淘宝昵称') VARCHAR(50)"`
	Time       int64  `json:"time" xorm:"not null default 0 comment('淘宝授权备案时间') BIGINT(11)"`
}
