package model

type CardPackMealList struct {
	Id         int     `json:"id" xorm:"not null pk autoincr INT(11)"`
	Money      float64 `json:"money" xorm:"default 0.00 comment('金额') DOUBLE(11,2)"`
	Num        int     `json:"num" xorm:"default 0 comment('短信条数') INT(11)"`
	Hide       int     `json:"hide" xorm:"default 0 comment('0否 1是') INT(1)"`
	Sort       int     `json:"sort" xorm:"default 0 comment('排序') INT(11)"`
	UpdateTime int     `json:"update_time" xorm:"default 0 comment('修改时间') INT(11)"`
	Time       int     `json:"time" xorm:"default 0 comment('创建时间') INT(11)"`
	Type       string  `json:"type" xorm:"default '' comment('普通 putong  营销 yingxiao') VARCHAR(50)"`
}
