package express_select

type ExpressData struct {
	ExpressCode           string `json:"expressCode"`
	ExpressCompanyName    string `json:"expressCompanyName"`
	ExpressCompanyLogo    string `json:"expressCompanyLogo"`
	Number                string `json:"number"`
	LogisticsStatus       string `json:"logisticsStatus"`
	LogisticsStatusDesc   string `json:"logisticsStatusDesc"`
	TheLastMessage        string `json:"theLastMessage"`
	TheLastTime           string `json:"theLastTime"`
	TakeTime              string `json:"takeTime"`
	LogisticsTraceDetails []struct {
		AreaCode            string `json:"areaCode"`
		AreaName            string `json:"areaName"`
		SubLogisticsStatus  string `json:"subLogisticsStatus"`
		Time                int64  `json:"time"`
		LogisticsStatus     string `json:"logisticsStatus"`
		LogisticsStatusDesc string `json:"logisticsStatusDesc"`
		Desc                string `json:"desc"`
	} `json:"logisticsTraceDetails"`
}
