package haodanku

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_third_party_api.git/md"
	"encoding/json"
	"github.com/tidwall/gjson"
)

func KuaishouRecharge(params map[string]string) []md.HaodankuKuaishouRecharge {
	var goods = make([]md.HaodankuKuaishouRecharge, 0)
	reqNew, err := SendReqNew("http://v3.api.haodanku.com/ks_prepaid_recharge", params)
	if err != nil {
		return goods
	}
	data := gjson.Get(string(reqNew), "data").String()
	if data == "" {
		return goods
	}
	var oldGoods []md.HaodankuKuaishouRecharge
	json.Unmarshal([]byte(data), &oldGoods)
	return oldGoods
}
