package jd

// Recommend is 京东推荐商品https://open.jd.com/home/home#/doc/api?apiCateId=461&apiId=3588&apiName=jd.union.open.goods.jingfen.query
func Recommend(r *RequestJD) ([]byte, error) {
	method := "jd.kpl.open.union.search.byelited"
	args := map[string]interface{}{
		"pageIndex": r.PageIndex,
		"pageSize":  r.PageSize,
		// 1-好券商品,2-超级大卖场,10-9.9专区,22-热销爆品,23-为你推荐,24-数码家电,25-超市,26-母婴玩具,27-家具日用,28-美妆穿搭,29-医药保健,30-图书文具,31-今日必推,32-品牌好货,33-秒杀商品,34-拼购商品,109-新品首发,110-自营,125-首购商品,129-高佣榜单,130-视频商品
		"eliteId": r.EliteID,
		// 排序字段price：单价, commissionShare：佣金比例, commission：佣金， inOrderCount30DaysSku：sku维度30天引单量，comments：评论数，goodComments：好评数
		"sortName": r.SortName,
	}
	return send(method, args)
}
