package macao_logistics

import (
	zhios_third_party_utils "code.fnuoos.com/go_rely_warehouse/zyos_go_third_party_api.git/utils"
	"fmt"
	"github.com/tidwall/gjson"
)

func GetToken(params map[string]interface{}) string {
	//params := map[string]interface{}{
	//	"phone":    "15217160421",
	//	"password": "123456789@",
	//}
	//7c2f6cbd480a96f1aa69509f9dd65462
	send, err := Send("/jyb/admin/login/password", params, "")
	fmt.Println("macap1:" + send)
	if err != nil {
		fmt.Println("macap1:" + err.Error())
		return ""
	}
	return gjson.Get(send, "data.token").String()
}

func GetGoods(params map[string]interface{}, acctoken string) string {
	send, err := SendGet("/admin/goods/detailed/list", params, acctoken)
	fmt.Println("macap1:", params)

	fmt.Println("macap1:" + send)
	if err != nil {
		fmt.Println("macap1:" + err.Error())
		return ""
	}
	if gjson.Get(send, "code").Int() == 402 && gjson.Get(send, "msg").String() == "Token校驗失敗" || gjson.Get(send, "msg").String() == "Token\\u6821\\u9a57\\u5931\\u6557" {
		return "token校验失败"
	}
	return gjson.Get(send, "data.data").String()
}
func GetStore(params map[string]interface{}, acctoken string) string {
	send, err := SendGet("/jyb/order/delivery/store", params, acctoken)
	fmt.Println("macap1:", params)

	fmt.Println("macap1:" + send)
	if err != nil {
		fmt.Println("macap1:" + err.Error())
		return ""
	}
	if gjson.Get(send, "code").Int() == 402 && gjson.Get(send, "msg").String() == "Token校驗失敗" || gjson.Get(send, "msg").String() == "Token\\u6821\\u9a57\\u5931\\u6557" {
		return "token校验失败"
	}
	return gjson.Get(send, "data.data").String()
}
func GetOrder(params map[string]interface{}, acctoken string) string {
	send, err := SendGet("/jyb/order/delivery/list", params, acctoken)
	fmt.Println("macap1:", params)

	fmt.Println("macap1:" + send)
	if err != nil {
		fmt.Println("macap1:" + err.Error())
		return ""
	}
	if gjson.Get(send, "code").Int() == 402 && gjson.Get(send, "msg").String() == "Token校驗失敗" || gjson.Get(send, "msg").String() == "Token\\u6821\\u9a57\\u5931\\u6557" {
		return "token校验失败"
	}
	return gjson.Get(send, "data.data").String()
}
func RegUser(params map[string]interface{}) string {
	header := make(map[string]string, 0)
	data, _ := zhios_third_party_utils.CurlPost("https://wx.aoyunltd.com/wxnewshibaouser.php", params, header)
	fmt.Println("macap1:", "https://wx.aoyunltd.com/wxnewshibaouser.php")
	fmt.Println("macap1:", params)
	fmt.Println(string(data))
	return string(data)
}
func RegUserNew(params map[string]interface{}, acctoken string) string {
	send, err := Send("/jyb/user/v2/register", params, acctoken)
	fmt.Println("macap1:", params)
	fmt.Println("macap1:" + send)
	if err != nil {
		fmt.Println("macap1:" + err.Error())
		return ""
	}
	if gjson.Get(send, "code").Int() == 402 && gjson.Get(send, "msg").String() == "Token校驗失敗" || gjson.Get(send, "msg").String() == "Token\\u6821\\u9a57\\u5931\\u6557" {
		return "token校验失败"
	}
	return send
}

func GetAddress(params map[string]interface{}, acctoken string) string {
	send, err := SendGet("/admin/user/template/address", params, acctoken)
	fmt.Println("macap1:", params)
	fmt.Println("macap1:" + send)
	if err != nil {
		fmt.Println("macap1:" + err.Error())
		return ""
	}
	if gjson.Get(send, "code").Int() == 402 && gjson.Get(send, "msg").String() == "Token校驗失敗" || gjson.Get(send, "msg").String() == "Token\\u6821\\u9a57\\u5931\\u6557" {
		return "token校验失败"
	}
	return gjson.Get(send, "data").String()
}
