package cps_pdd

type CpsPddOrder struct {
	OrderListGetResponse struct {
		OrderList []struct {
			ActivityTags               []int  `json:"activity_tags"`
			AuthDuoId                  int    `json:"auth_duo_id"`
			BandanRiskConsult          int    `json:"bandan_risk_consult"`
			BatchNo                    string `json:"batch_no"`
			CashGiftId                 int    `json:"cash_gift_id"`
			CatIds                     []int  `json:"cat_ids"`
			CpaNew                     int    `json:"cpa_new"`
			CustomParameters           string `json:"custom_parameters"`
			FailReason                 string `json:"fail_reason"`
			GoodsCategoryName          string `json:"goods_category_name"`
			GoodsId                    int    `json:"goods_id"`
			GoodsName                  string `json:"goods_name"`
			GoodsPrice                 int    `json:"goods_price"`
			GoodsQuantity              int    `json:"goods_quantity"`
			GoodsSign                  string `json:"goods_sign"`
			GoodsThumbnailUrl          string `json:"goods_thumbnail_url"`
			GroupId                    int    `json:"group_id"`
			IsDirect                   int    `json:"is_direct"`
			MallId                     int    `json:"mall_id"`
			MallName                   string `json:"mall_name"`
			NoSubsidyReason            string `json:"no_subsidy_reason"`
			OrderAmount                int    `json:"order_amount"`
			OrderCreateTime            int    `json:"order_create_time"`
			OrderGroupSuccessTime      int    `json:"order_group_success_time"`
			OrderModifyAt              int    `json:"order_modify_at"`
			OrderPayTime               int    `json:"order_pay_time"`
			OrderReceiveTime           int    `json:"order_receive_time"`
			OrderSettleTime            int    `json:"order_settle_time"`
			OrderSn                    string `json:"order_sn"`
			OrderStatus                int    `json:"order_status"`
			OrderStatusDesc            string `json:"order_status_desc"`
			OrderVerifyTime            int    `json:"order_verify_time"`
			PId                        string `json:"p_id"`
			PlatformDiscount           int    `json:"platform_discount"`
			PriceCompareStatus         int    `json:"price_compare_status"`
			PromotionAmount            int    `json:"promotion_amount"`
			PromotionRate              int    `json:"promotion_rate"`
			RedPacketType              int    `json:"red_packet_type"`
			SceneAtMarketFee           int    `json:"scene_at_market_fee"`
			SepDuoId                   int    `json:"sep_duo_id"`
			SepMarketFee               int    `json:"sep_market_fee"`
			SepParameters              string `json:"sep_parameters"`
			SepPid                     string `json:"sep_pid"`
			SepRate                    int    `json:"sep_rate"`
			ShareAmount                int    `json:"share_amount"`
			ShareRate                  int    `json:"share_rate"`
			SubsidyAmount              int    `json:"subsidy_amount"`
			SubsidyDuoAmountLevel      int    `json:"subsidy_duo_amount_level"`
			SubsidyDuoAmountTenMillion int    `json:"subsidy_duo_amount_ten_million"`
			SubsidyType                int    `json:"subsidy_type"`
			Type                       int    `json:"type"`
			ZsDuoId                    int    `json:"zs_duo_id"`
		} `json:"order_list"`
		TotalCount int `json:"total_count"`
	} `json:"order_list_get_response"`
}
