package md

type DataokeFriendCircleList struct {
	QuanMLink              int           `json:"quanMLink"`
	HzQuanOver             int           `json:"hzQuanOver"`
	EstimateAmount         int           `json:"estimateAmount"`
	CircleText             string        `json:"circleText"`
	FreeshipRemoteDistrict int           `json:"freeshipRemoteDistrict"`
	ID                     int           `json:"id"`
	GoodsID                string        `json:"goodsId"`
	Title                  string        `json:"title"`
	Dtitle                 string        `json:"dtitle"`
	OriginalPrice          float64       `json:"originalPrice"`
	ActualPrice            float64       `json:"actualPrice"`
	MonthSales             int           `json:"monthSales"`
	TwoHoursSales          int           `json:"twoHoursSales"`
	DailySales             int           `json:"dailySales"`
	CommissionType         int           `json:"commissionType"`
	Desc                   string        `json:"desc"`
	CouponReceiveNum       int           `json:"couponReceiveNum"`
	CouponLink             string        `json:"couponLink"`
	CouponEndTime          string        `json:"couponEndTime"`
	CouponStartTime        string        `json:"couponStartTime"`
	CouponPrice            float64       `json:"couponPrice"`
	CouponConditions       string        `json:"couponConditions"`
	CreateTime             string        `json:"createTime"`
	MainPic                string        `json:"mainPic"`
	MarketingMainPic       string        `json:"marketingMainPic"`
	Cid                    int           `json:"cid"`
	Discounts              float64       `json:"discounts"`
	CommissionRate         float64       `json:"commissionRate"`
	CouponTotalNum         int           `json:"couponTotalNum"`
	ShopName               string        `json:"shopName"`
	Brand                  int           `json:"brand"`
	BrandID                int           `json:"brandId"`
	BrandName              string        `json:"brandName"`
	ItemLink               string        `json:"itemLink"`
	ShopType               int           `json:"shopType"`
	Subcid                 []interface{} `json:"subcid"`
	ShipaiPic              string        `json:"shipaiPic"`
	ShangchaoPic           string        `json:"shangchaoPic"`
	Tbcid                  int           `json:"tbcid"`
}

type DataokeTaobaoRankList struct {
	ID                     int         `json:"id"`
	Goodsid                string      `json:"goodsId"`
	Ranking                int         `json:"ranking"`
	Dtitle                 string      `json:"dtitle"`
	Actualprice            interface{} `json:"actualPrice"`
	Commissionrate         interface{} `json:"commissionRate"`
	Couponprice            interface{} `json:"couponPrice"`
	Couponreceivenum       interface{} `json:"couponReceiveNum"`
	Coupontotalnum         interface{} `json:"couponTotalNum"`
	Monthsales             int         `json:"monthSales"`
	Twohourssales          int         `json:"twoHoursSales"`
	Dailysales             int         `json:"dailySales"`
	Hotpush                int         `json:"hotPush"`
	Mainpic                string      `json:"mainPic"`
	Title                  string      `json:"title"`
	Desc                   string      `json:"desc"`
	Originalprice          interface{} `json:"originalPrice"`
	Couponlink             string      `json:"couponLink"`
	Couponstarttime        string      `json:"couponStartTime"`
	Couponendtime          string      `json:"couponEndTime"`
	Commissiontype         int         `json:"commissionType"`
	Createtime             string      `json:"createTime"`
	Activitytype           int         `json:"activityType"`
	Imgs                   string      `json:"imgs"`
	Guidename              string      `json:"guideName"`
	Shoptype               int         `json:"shopType"`
	Couponconditions       string      `json:"couponConditions"`
	Newrankinggoods        int         `json:"newRankingGoods"`
	Sellerid               string      `json:"sellerId"`
	Quanmlink              int         `json:"quanMLink"`
	Hzquanover             int         `json:"hzQuanOver"`
	Yunfeixian             int         `json:"yunfeixian"`
	Estimateamount         int         `json:"estimateAmount"`
	Freeshipremotedistrict int         `json:"freeshipRemoteDistrict"`
	ShopName               string      `json:"shopName"`
}

type DataokeTikTokRankList struct {
	CosFee      float64  `json:"cosFee"`
	CosRatio    float64  `json:"cosRatio"`
	Coupon      float64  `json:"coupon"`
	CouponPrice float64  `json:"couponPrice"`
	ID          string   `json:"id"`
	Imgs        []string `json:"imgs"`
	Price       float64  `json:"price"`
	ProductID   string   `json:"productId"`
	Sales       int64    `json:"sales"`
	ShopName    string   `json:"shopName"`
	Title       string   `json:"title"`
	ItemImg     string   `json:"item_img"`
	DetailURL   string   `json:"detailUrl"`
	ShopId      string   `json:"shopId"`
	Cover       string   `json:"cover"`
}
