package md

type HaodankuKuaishouRecharge struct {
	Itemid         string `json:"itemid"`
	Itemtitle      string `json:"itemtitle"`
	Itemshorttitle string `json:"itemshorttitle"`
	Itemendprice   string `json:"itemendprice"`
	Itemprice      string `json:"itemprice"`
	Itempic        string `json:"itempic"`
	Itemsale       string `json:"itemsale"`
	Tkrates        string `json:"tkrates"`
	Tkmoney        string `json:"tkmoney"`
	Shopname       string `json:"shopname"`
}
type HaodankuFriendsCircleItems struct {
	MaterialId     string   `json:"material_id"`
	CopyWriter     string   `json:"copy_writer"`
	FriendsComment string   `json:"friends_comment"`
	Image          []string `json:"image"`
	Itemid         string   `json:"itemid"`
	FirstComment   string   `json:"first_comment"`
	ShowTime       string   `json:"show_time"`
	Items          struct {
		Itemdesc       string `json:"itemdesc"`
		Couponmoney    string `json:"couponmoney"`
		Itemendprice   string `json:"itemendprice"`
		Itemid         string `json:"itemid"`
		Itempic        string `json:"itempic"`
		Itemprice      string `json:"itemprice"`
		Itemshorttitle string `json:"itemshorttitle"`
		Tkmoney        string `json:"tkmoney"`
		Couponurl      string `json:"couponurl"`
		Tkrates        string `json:"tkrates"`
	} `json:"items"`
	Comment struct {
		CopyContent string `json:"copy_content"`
		ShowContent string `json:"show_content"`
		TklContent  string `json:"tkl_content"`
	} `json:"comment"`
}

type HaodankuSelectedItem struct {
	EditID               string   `json:"edit_id"`
	Itemid               string   `json:"itemid"`
	Itempic              []string `json:"itempic"`
	Title                string   `json:"title"`
	Couponurl            string   `json:"couponurl"`
	CopyContent          string   `json:"copy_content"`
	Comment              string   `json:"comment"`
	AddTime              string   `json:"add_time"`
	ShowTime             string   `json:"show_time"`
	Itemendprice         string   `json:"itemendprice"`
	Couponmoney          string   `json:"couponmoney"`
	SolaImage            string   `json:"sola_image"`
	DummyClickStatistics string   `json:"dummy_click_statistics"`
	Tkrates              string   `json:"tkrates"`
	Itemprice            string   `json:"itemprice"`
	Content              string   `json:"content"`
	ShowContent          string   `json:"show_content"`
	CopyComment          string   `json:"copy_comment"`
	ShowComment          string   `json:"show_comment"`
	Itemtitle            string   `json:"itemtitle"`
	AdviseTime           string   `json:"advise_time"`
}

type HaodankuTikTok struct {
	ItemScore         string      `json:"item_score"`
	Itemendprice      string      `json:"itemendprice"`
	Itempic           string      `json:"itempic"`
	Itemprice         string      `json:"itemprice"`
	Itemshorttitle    string      `json:"itemshorttitle"`
	Itemtitle         string      `json:"itemtitle"`
	LogisticsScore    string      `json:"logistics_score"`
	ProductCategoryID string      `json:"product_category_id"`
	ProductID         string      `json:"product_id"`
	Sales             string      `json:"sales"`
	ShopID            string      `json:"shop_id"`
	ShopItemsale      string      `json:"shop_itemsale"`
	ShopName          string      `json:"shop_name"`
	ShopScore         string      `json:"shop_score"`
	Tkmoney           string      `json:"tkmoney"`
	Dyrates           interface{} `json:"tkrates"`
}

type HDKGoodsTaobaoRankList struct {
	ProductID              string      `json:"product_id"`
	Itemid                 string      `json:"itemid"`
	Xid                    string      `json:"xid"`
	SellerID               string      `json:"seller_id"`
	Itemtitle              string      `json:"itemtitle"`
	Itemshorttitle         string      `json:"itemshorttitle"`
	Itemdesc               string      `json:"itemdesc"`
	Itemprice              string      `json:"itemprice"`
	Itemsale               string      `json:"itemsale"`
	Itemsale2              string      `json:"itemsale2"`
	Todaysale              string      `json:"todaysale"`
	Itempic                string      `json:"itempic"`
	ItempicCopy            string      `json:"itempic_copy"`
	Fqcat                  string      `json:"fqcat"`
	Itemendprice           string      `json:"itemendprice"`
	Shoptype               string      `json:"shoptype"`
	Tktype                 string      `json:"tktype"`
	Tkrates                interface{} `json:"tkrates"`
	Cuntao                 string      `json:"cuntao"`
	Tkmoney                string      `json:"tkmoney"`
	Couponurl              string      `json:"couponurl"`
	Couponmoney            string      `json:"couponmoney"`
	Couponsurplus          string      `json:"couponsurplus"`
	Couponreceive          string      `json:"couponreceive"`
	Couponreceive2         string      `json:"couponreceive2"`
	Todaycouponreceive     string      `json:"todaycouponreceive"`
	Couponnum              string      `json:"couponnum"`
	Couponexplain          string      `json:"couponexplain"`
	Couponstarttime        string      `json:"couponstarttime"`
	Couponendtime          string      `json:"couponendtime"`
	StartTime              string      `json:"start_time"`
	EndTime                string      `json:"end_time"`
	Starttime              string      `json:"starttime"`
	Isquality              interface{} `json:"isquality"`
	ReportStatus           string      `json:"report_status"`
	IsBrand                string      `json:"is_brand"`
	IsLive                 string      `json:"is_live"`
	GuideArticle           string      `json:"guide_article"`
	Videoid                string      `json:"videoid"`
	ActivityType           string      `json:"activity_type"`
	GeneralIndex           string      `json:"general_index"`
	Planlink               interface{} `json:"planlink"`
	SellerName             string      `json:"seller_name"`
	Userid                 string      `json:"userid"`
	Sellernick             string      `json:"sellernick"`
	Shopname               string      `json:"shopname"`
	OnlineUsers            string      `json:"online_users"`
	OriginalImg            string      `json:"original_img"`
	OriginalArticle        string      `json:"original_article"`
	Discount               string      `json:"discount"`
	IsExplosion            string      `json:"is_explosion"`
	Me                     interface{} `json:"me"`
	Activityid             string      `json:"activityid"`
	CouponCondition        string      `json:"coupon_condition"`
	TaobaoImage            string      `json:"taobao_image"`
	Shopid                 string      `json:"shopid"`
	SonCategory            string      `json:"son_category"`
	DownType               string      `json:"down_type"`
	Deposit                string      `json:"deposit"`
	DepositDeduct          string      `json:"deposit_deduct"`
	IsShipping             string      `json:"is_shipping"`
	PresaleStartTime       int         `json:"presale_start_time"`
	PresaleEndTime         int         `json:"presale_end_time"`
	PresaleTailStartTime   int         `json:"presale_tail_start_time"`
	PresaleTailEndTime     int         `json:"presale_tail_end_time"`
	PresaleDiscountFeeText string      `json:"presale_discount_fee_text"`
}

type HDKDetailStruct struct {
	ID              string `json:"id"`
	Itemid          string `json:"itemid"`
	Itemtitle       string `json:"itemtitle"`
	Itemshorttitle  string `json:"itemshorttitle"`
	Itemdesc        string `json:"itemdesc"`
	Itemprice       string `json:"itemprice"`
	Itemendprice    string `json:"itemendprice"`
	Itemsale        string `json:"itemsale"`
	Todaysale       string `json:"todaysale"`
	Tkrates         string `json:"tkrates"`
	Tkmoney         string `json:"tkmoney"`
	Itempic         string `json:"itempic"`
	Shoptype        string `json:"shoptype"`
	Sellernick      string `json:"sellernick"`
	Shopname        string `json:"shopname"`
	Couponstarttime string `json:"couponstarttime"`
	Couponendtime   string `json:"couponendtime"`
	Couponmoney     string `json:"couponmoney"`
	Couponexplain   string `json:"couponexplain"`
	Activityid      string `json:"activityid"`
	Couponurl       string `json:"couponurl"`
	TaobaoImage     string `json:"taobao_image"`
	ReturnRatio     string `json:"return_ratio"`
	RedpacketPrice  string `json:"redpacket_price"`
	EstimatePrice   string `json:"estimate_price"`
	UserId          int    `json:"userid"`
}
