package md

type TBFeatureStruct struct {
	CategoryID           int         `json:"category_id"`
	CategoryName         string      `json:"category_name"`
	ClickURL             string      `json:"click_url"`
	CommissionRate       string      `json:"commission_rate"`
	CouponAmount         int         `json:"coupon_amount"`
	CouponClickURL       string      `json:"coupon_click_url"`
	CouponEndTime        string      `json:"coupon_end_time"`
	CouponRemainCount    int         `json:"coupon_remain_count"`
	CouponShareURL       string      `json:"coupon_share_url"`
	CouponStartFee       string      `json:"coupon_start_fee"`
	CouponStartTime      string      `json:"coupon_start_time"`
	CouponTotalCount     int         `json:"coupon_total_count"`
	ItemDescription      string      `json:"item_description"`
	ItemID               interface{} `json:"item_id"`
	JhsPriceUspList      string      `json:"jhs_price_usp_list"`
	LevelOneCategoryID   int         `json:"level_one_category_id"`
	LevelOneCategoryName string      `json:"level_one_category_name"`
	Nick                 string      `json:"nick"`
	PictURL              string      `json:"pict_url"`
	ReservePrice         string      `json:"reserve_price"`
	SellerID             int64       `json:"seller_id"`
	ShopTitle            string      `json:"shop_title"`
	ShortTitle           string      `json:"short_title"`
	SmallImages          struct {
		String []string `json:"string"`
	} `json:"small_images"`
	SubTitle     string `json:"sub_title"`
	Title        string `json:"title"`
	UserType     int    `json:"user_type"`
	Volume       int    `json:"volume"`
	WhiteImage   string `json:"white_image"`
	ZkFinalPrice string `json:"zk_final_price"`
}

type TBSearchFeatureStruct struct {
	CategoryID           int         `json:"category_id"`
	CategoryName         string      `json:"category_name"`
	ClickURL             string      `json:"click_url"`
	CommissionRate       string      `json:"commission_rate"`
	CouponAmount         string      `json:"coupon_amount"`
	CouponClickURL       string      `json:"coupon_click_url"`
	CouponEndTime        string      `json:"coupon_end_time"`
	CouponRemainCount    int         `json:"coupon_remain_count"`
	CouponShareURL       string      `json:"coupon_share_url"`
	CouponStartFee       string      `json:"coupon_start_fee"`
	CouponStartTime      string      `json:"coupon_start_time"`
	CouponTotalCount     int         `json:"coupon_total_count"`
	ItemDescription      string      `json:"item_description"`
	ItemID               interface{} `json:"item_id"`
	JhsPriceUspList      string      `json:"jhs_price_usp_list"`
	LevelOneCategoryID   int         `json:"level_one_category_id"`
	LevelOneCategoryName string      `json:"level_one_category_name"`
	Nick                 string      `json:"nick"`
	PictURL              string      `json:"pict_url"`
	ReservePrice         string      `json:"reserve_price"`
	SellerID             int64       `json:"seller_id"`
	ShopTitle            string      `json:"shop_title"`
	ShortTitle           string      `json:"short_title"`
	SmallImages          struct {
		String []string `json:"string"`
	} `json:"small_images"`
	SubTitle     string `json:"sub_title"`
	Title        string `json:"title"`
	UserType     int    `json:"user_type"`
	Volume       int    `json:"volume"`
	WhiteImage   string `json:"white_image"`
	ZkFinalPrice string `json:"zk_final_price"`
}
type TaobaoWord struct {
	Text string // 文本
	Code string //  短码
}
type TaobaoWordGid struct {
	Gid string // 商品id
}
