package md

type ExtraData struct {
	UnionId string `json:"unionId"`
	Tc1     string `json:"tc1"`
	Tc2     string `json:"tc2"`
}

// 转链后链接
type ConvertedUrls struct {
	StopStr           string    `json:"stop_str"`
	IsStop            string    `json:"is_stop"`
	IsDown            string    `json:"is_down"`
	Tkl               string    `json:"tkl"`
	ShortTkl          string    `json:"short_tkl"`
	ItemId            string    `json:"item_id"`
	ItemUrl           string    `json:"item_url"`
	NumGoodsId        string    `json:"num_goods_id"`
	URL               string    `json:"url"`                  // 短链接
	ShortenURL        string    `json:"open_app_url"`         // 会打开app的长链接
	NoOpenAppURL      string    `json:"no_open_app_url"`      // 不会打开app的长链接
	AppURL            string    `json:"app_url"`              // app 链接 pinduoduo://
	HasCoupon         bool      `json:"has_coupon"`           // 是否有优惠券
	CommissionRate    string    `json:"commission_rate"`      // 利润比例
	ShareURL          string    `json:"share_url"`            // 分享的URL
	WeChatTaobaoURL   string    `json:"wechat_taobao_url"`    // 淘宝分享到微信用的url
	WeChatMiniURL     string    `json:"wechat_mini_url"`      // 微信小程序转链地址
	WeChatMiniAPPID   string    `json:"wechat_mini_appid"`    // 微信appid
	PID               string    `json:"pid"`                  // 推广位
	PvdId             string    `json:"pvd_id"`               // 供应商联盟ID
	TaoBaoWord        string    `json:"taobao_word"`          // 淘口令TaoBaoWord      string `json:"taobao_word"`       // 淘口令
	ExtraData         ExtraData `json:"extraData"`            //考拉用来跟踪用户的
	TbShareId         int64     `json:"tb_share_id"`          //淘宝活动时的渠道id 组合方式
	IsHasCouponAmount int       `json:"is_has_coupon_amount"` //是否有优惠券额度
	ClickUrl          string    `json:"click_url"`
	QrcodeUrl         string    `json:"qrcode_url"`
	Content           string    `json:"content"`
	PvdName           string    `json:"pvd_name"`
	NewPid            string    `json:"new_pid"`
	H5Url             string    `json:"h5_url"`
}
