package md

type JDZhimengItem struct {
	SkuId             interface{} `json:"sku_id"`
	Cid1              int         `json:"cid1"`
	Cid1Name          string      `json:"cid1_name"`
	Cid2              int         `json:"cid2"`
	Cid2Name          string      `json:"cid2_name"`
	Cid3              int         `json:"cid3"`
	Cid3Name          string      `json:"cid3_name"`
	CommissionRate    float64     `json:"commission_rate"`
	CouponURL         string      `json:"coupon_url"`
	CouponPrice       int         `json:"coupon_price"`
	EndTime           int         `json:"end_time"`
	Gid               string      `json:"gid"`
	GoodsImg          string      `json:"goods_img"`
	GoodsTitle        string      `json:"goods_title"`
	ImgList           []string    `json:"img_list"`
	InOrderCount      int         `json:"inOrderCount"`
	IsFreeFreightRisk int         `json:"isFreeFreightRisk"`
	IsFreeShipping    int         `json:"isFreeShipping"`
	IsJdSale          int         `json:"isJdSale"`
	LowerPrice        float64     `json:"lower_price"`
	LowerPriceType    int         `json:"lower_price_type"`
	LowestCouponPrice interface{} `json:"lowestCouponPrice"`
	PcGoodsPrice      float64     `json:"pc_goods_price"`
	ShopID            int         `json:"shopId"`
	ShopName          string      `json:"shop_name"`
	StartTime         int         `json:"start_time"`
	StoreID           string      `json:"store_id"`
	VideoList         interface{} `json:"video_list"`
	WlGoodsPrice      float64     `json:"wl_goods_price"`
}

type PDDZhimengItem struct {
	InOrderCount    string      `json:"inOrderCount"`
	AvgDesc         interface{} `json:"avg_desc"`
	AvgLgst         interface{} `json:"avg_lgst"`
	AvgServ         interface{} `json:"avg_serv"`
	CateName        string      `json:"cate_name"`
	Cid             int         `json:"cid"`
	Cid1            int         `json:"cid1"`
	Cid2            int         `json:"cid2"`
	Cid3            int         `json:"cid3"`
	Commission      float64     `json:"commission"`
	ConponRemain    int         `json:"conpon_remain"`
	CouponEndTime   int         `json:"coupon_end_time"`
	CouponPrice     int         `json:"coupon_price"`
	CouponStartTime int         `json:"coupon_start_time"`
	CouponTotal     int         `json:"coupon_total"`
	DescPct         interface{} `json:"desc_pct"`
	EvalCount       interface{} `json:"eval_count"`
	Gid             string      `json:"gid"`
	GoodsDesc       string      `json:"goods_desc"`
	GoodsImg        string      `json:"goods_img"`
	GoodsSign       string      `json:"goods_sign"`
	GoodsMinImg     string      `json:"goods_min_img"`
	GoodsSales      string      `json:"goods_sales"`
	GoodsTitle      string      `json:"goods_title"`
	LgstPct         interface{} `json:"lgst_pct"`
	MallID          int         `json:"mall_id"`
	MinGroupPrice   float64     `json:"min_group_price"`
	MinNormalPrice  float64     `json:"min_normal_price"`
	Score           interface{} `json:"score"`
	ServPct         interface{} `json:"serv_pct"`
	ShopName        string      `json:"shop_name"`
}

type VIPZhimengItem struct {
	Commission     string `json:"commission"`
	CommissionRate string `json:"commission_rate"`
	Discount       string `json:"discount"`
	Gid            string `json:"gid"`
	GoodsCostPrice string `json:"goods_cost_price"`
	GoodsDesc      string `json:"goods_desc"`
	GoodsImg       string `json:"goods_img"`
	GoodsPrice     string `json:"goods_price"`
	GoodsTitle     string `json:"goods_title"`
	SourceType     string `json:"sourceType"`
	YhqPrice       string `json:"yhq_price"`
	CouponPrice    string `json:"coupon_price"`
}
