package request

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_third_party_api.git/taobao/topsdk/defaultability/domain"
	zhios_third_party_utils "code.fnuoos.com/go_rely_warehouse/zyos_go_third_party_api.git/utils"
)

type AlibabaAlscUnionKbOrderQueryRequest struct {
	/*
	   查询对象     */
	OrderQueryDto *domain.AlibabaAlscUnionKbOrderQueryOrderQueryDto `json:"order_query_dto" required:"true" `
}

func (s *AlibabaAlscUnionKbOrderQueryRequest) SetOrderQueryDto(v domain.AlibabaAlscUnionKbOrderQueryOrderQueryDto) *AlibabaAlscUnionKbOrderQueryRequest {
	s.OrderQueryDto = &v
	return s
}

func (req *AlibabaAlscUnionKbOrderQueryRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.OrderQueryDto != nil {
		paramMap["order_query_dto"] = zhios_third_party_utils.ConvertStruct(*req.OrderQueryDto)
	}
	return paramMap
}

func (req *AlibabaAlscUnionKbOrderQueryRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
