package taobao

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_third_party_api.git/md"
	"encoding/json"
)

// TODO 淘口令解析, 因为目前没有可用账号, 暂时搁置, 请查看智盟的接口
func (t *TB) WordCreate(url, text string) (*md.TaobaoWord, error) {
	method := "taobao.tbk.tpwd.create"
	args := map[string]string{
		"text": text, // 长度大于5个字符
		"url":  url,  // 口令跳转目标页, 如:https://uland.taobao.com/, 后面需要添加对应的relationId或者specialId
	}
	resp, err := send(args, method, t.Web_AK, t.Web_SK)
	if err != nil {
		return nil, err
	}
	var tmp struct {
		TbkTpwdCreateResponse struct {
			Data struct {
				Model          string `json:"model"`
				PasswordSimple string `json:"password_simple"`
			} `json:"data"`
		} `json:"tbk_tpwd_create_response"`
	}

	if err = json.Unmarshal(resp, &tmp); err != nil {
		return nil, err
	}
	return &md.TaobaoWord{
		Text: tmp.TbkTpwdCreateResponse.Data.Model,
		Code: tmp.TbkTpwdCreateResponse.Data.PasswordSimple,
	}, nil
}
