package tik_tok

import (
	zhios_third_party_utils "code.fnuoos.com/go_rely_warehouse/zyos_go_third_party_api.git/utils"
	"fmt"
	"github.com/tidwall/gjson"
	"strings"
)

//抖口令解析+二次转链接口
func CsjpKeyword(args map[string]string) TikTokGoods {
	params := map[string]interface{}{
		"command": args["command"],
	}
	if args["external_info"] != "" {
		params["external_info"] = args["external_info"]
	}
	if args["share_type"] != "" {
		ex := strings.Split(args["share_type"], ",")
		ids := make([]int, 0)
		for _, v := range ex {
			ids = append(ids, zhios_third_party_utils.StrToInt(v))
		}
		params["share_type"] = ids
	}
	send, err := CsjpSend(args["app_id"], args["app_secret"], "command_parse", params)
	fmt.Println(send)
	fmt.Println(err)
	var goodsList = TikTokGoods{}
	ActivityId := gjson.Get(send, "data.activity_info.material_id").Int()
	if ActivityId > 0 {
		goodsList.ActivityId = zhios_third_party_utils.Int64ToStr(gjson.Get(send, "data.command_info.activity_info.material_id").Int())
		return goodsList
	}
	product := gjson.Get(send, "data.product_info").String()
	if err != nil || product == "" {
		return goodsList
	}
	args["product_ids"] = gjson.Get(product, "product_id").String()
	goodsList = CsjpGoodsDetail(args)
	return goodsList
}
