package yunyangwl_express

import (
	zhios_third_party_utils "code.fnuoos.com/go_rely_warehouse/zyos_go_third_party_api.git/utils"
	"fmt"
	"github.com/syyongx/php2go"
	"time"
)

//https://open.yunyangwl.com/#/developmentDocumentation
func Send(method, appid, secretKey string, params map[string]interface{}) (string, error) {
	timeStamp := zhios_third_party_utils.Int64ToStr(time.Now().Unix() * 1000)
	requestId := zhios_third_party_utils.UUIDString()
	params["timeStamp"] = timeStamp
	params["requestId"] = requestId
	params["appid"] = appid
	params["sign"] = php2go.Md5(appid + requestId + timeStamp + secretKey)
	params["serviceCode"] = method
	//url := "https://api.yunyangwl.com/api/sandbox/openService"
	url := "https://api.yunyangwl.com/api/wuliu/openService"
	post, err := zhios_third_party_utils.CurlPost(url, zhios_third_party_utils.SerializeStr(params), nil)
	fmt.Println(string(post))
	fmt.Println(err)
	return string(post), err
}
