package yunyangwl_express

type YunyangwlExpressChannel struct {
	Id      string `json:"id"`
	Code    string `json:"code"`
	Message string `json:"message"`
	Result  []struct {
		OriginalPrice  float64     `json:"originalPrice"`
		DisPrice       float64     `json:"disPrice"`
		Freight        float64     `json:"freight"`
		FreightInsured int         `json:"freightInsured"`
		FreightHaocai  int         `json:"freightHaocai"`
		TotalFreight   float64     `json:"totalFreight"`
		Channel        string      `json:"channel"`
		ChannelId      string      `json:"channelId"`
		ChannelExplain string      `json:"channelExplain"`
		ChannelLogoUrl string      `json:"channelLogoUrl"`
		AllowInsured   int         `json:"allowInsured"`
		InsuredRate    float64     `json:"insuredRate"`
		Paozhong       int         `json:"paozhong"`
		PayType        int         `json:"payType"`
		ChargeType     int         `json:"chargeType"`
		ChannelType    int         `json:"channelType"`
		Comments       string      `json:"comments"`
		PriceComments  string      `json:"priceComments"`
		TagType        string      `json:"tagType"`
		TagCode        int         `json:"tagCode"`
		ExtFreightFlag bool        `json:"extFreightFlag"`
		ExtFreight     int         `json:"extFreight"`
		Volume         int         `json:"volume"`
		ParseWeight    float64     `json:"parseWeight"`
		LowWeight      int         `json:"lowWeight"`
		LimitWeight    int         `json:"limitWeight"`
		AppointTimes   interface{} `json:"appointTimes"`
		PriceOne       float64     `json:"priceOne"`
		PriceTwo       interface{} `json:"priceTwo"`
		PriceThree     interface{} `json:"priceThree"`
		PriceMore      float64     `json:"priceMore"`
		Price          struct {
			Id         interface{} `json:"id"`
			User       interface{} `json:"user"`
			PriceOne   float64     `json:"priceOne"`
			PriceMore  float64     `json:"priceMore"`
			PriceLevel interface{} `json:"priceLevel"`
			Allow      interface{} `json:"allow"`
		} `json:"price"`
	} `json:"result"`
	Error interface{} `json:"error"`
}
