package comm

import "time"

// GetCacheFunc 获取缓存委托
type getCacheFunc func(cacheKey string) []byte

// SetCacheFunc 设置缓存委托
type setCacheFunc func(cacheKey string, value []byte, expiration time.Duration) bool
