package db

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_third_party_api.git/db/model"
	"xorm.io/xorm"
)

func SysCfgGetWithDb(eg *xorm.Engine, masterId string, HKey string) string {
	cfg, err := SysCfgGetOne(eg, HKey)
	if err != nil || cfg == nil {
		return ""
	}

	return cfg.Val
}

// 获取一条记录
func SysCfgGetOne(Db *xorm.Engine, key string) (*model.SysCfg, error) {
	var cfgList model.SysCfg
	if has, err := Db.Where("`key`=?", key).Get(&cfgList); err != nil || has == false {
		return nil, err
	}
	return &cfgList, nil
}
