package model

import "time"

type TaobaoRelationPid struct {
	Id         int64     `json:"id" xorm:"pk autoincr comment('主键') BIGINT(10)"`
	Uid        int       `json:"uid" xorm:"not null default 0 comment('')  INT(11)"`
	RelationId string    `json:"relation_id" xorm:"not null default '' unique(relation_id) VARCHAR(255)"`
	Pid        string    `json:"pid" xorm:"not null default '' unique(relation_id) VARCHAR(255)"`
	ShortPid   string    `json:"short_pid" xorm:"not null default ''  VARCHAR(255)"`
	Time       time.Time `json:"time" xorm:"not null default 'CURRENT_TIMESTAMP' comment('') TIMESTAMP"`
	UnionId    int       `json:"union_id" xorm:"not null default 0 comment('') INT(11)"`
}
