package jdSdk

import "code.fnuoos.com/go_rely_warehouse/zyos_go_third_party_api.git/comm"

func OrderFollow(r *RequestJD) ([]byte, error) {
	method := "jd.union.open.order.query"
	args := map[string]interface{}{
		"pageNo":   r.PageIndex, //
		"key":      r.UnionId,   //	目标推客的联盟ID
		"pageSize": r.PageSize,  //推广位id
		"type":     r.Type,      //1：下单时间，2：完成时间，3：更新时间
		"time":     r.Time,
	}
	return send(method, comm.Arg{"orderReq": args})
}
