package jdSdk

import (
	"fmt"
	"testing"
)

func TestConventUrl(t *testing.T) {
	rq := &RequestJD{
		PageIndex: 1,                                                                                  //
		UnionId:   "d3ee30b44a6fec06fa8a4eee4bd541b2d279e836750f97dfe56144d7be74233d5d131b3028a81cfc", //	目标推客的联盟ID
		PageSize:  100,                                                                                //推广位id
		Type:      "3",                                                                                //1：下单时间，2：完成时间，3：更新时间
		Time:      "2022121910",
	}
	sdk, err := NewJDSDK().SelectFunction("order_follow").WithArgs(rq).Result()
	fmt.Println(string(sdk.ToBytes()))
	fmt.Println(err)
}
