package cps_pdd

type ExtendUrl struct {
	GoodsPromotionUrlGenerateResponse struct {
		GoodsPromotionUrlList []struct {
			MobileShortUrl string `json:"mobile_short_url"`
			MobileUrl      string `json:"mobile_url"`
			QqAppInfo      struct {
				AppId             string `json:"app_id"`
				BannerUrl         string `json:"banner_url"`
				Desc              string `json:"desc"`
				PagePath          string `json:"page_path"`
				QqAppIconUrl      string `json:"qq_app_icon_url"`
				SourceDisplayName string `json:"source_display_name"`
				Title             string `json:"title"`
				UserName          string `json:"user_name"`
			} `json:"qq_app_info"`
			SchemaUrl   string `json:"schema_url"`
			ShortUrl    string `json:"short_url"`
			TzSchemaUrl string `json:"tz_schema_url"`
			Url         string `json:"url"`
			WeAppInfo   struct {
				AppId             string `json:"app_id"`
				BannerUrl         string `json:"banner_url"`
				Desc              string `json:"desc"`
				PagePath          string `json:"page_path"`
				SourceDisplayName string `json:"source_display_name"`
				Title             string `json:"title"`
				UserName          string `json:"user_name"`
				WeAppIconUrl      string `json:"we_app_icon_url"`
			} `json:"we_app_info"`
		} `json:"goods_promotion_url_list"`
	} `json:"goods_promotion_url_generate_response"`
}

type MainThemeUrl struct {
	ResourceUrlResponse struct {
		MultiUrlList struct {
			ShortUrl string `json:"short_url"`
			Url      string `json:"url"`
		} `json:"multi_url_list"`
		Sign          string `json:"sign"`
		SingleUrlList struct {
			MobileShortUrl string `json:"mobile_short_url"`
			MobileUrl      string `json:"mobile_url"`
			SchemaUrl      string `json:"schema_url"`
			ShortUrl       string `json:"short_url"`
			TzSchemaUrl    string `json:"tz_schema_url"`
			Url            string `json:"url"`
			WeAppPagePath  string `json:"we_app_page_path"`
			WeAppInfo      struct {
				AppId             string `json:"app_id"`
				BannerUrl         string `json:"banner_url"`
				Desc              string `json:"desc"`
				PagePath          string `json:"page_path"`
				SourceDisplayName string `json:"source_display_name"`
				Title             string `json:"title"`
				UserName          string `json:"user_name"`
				WeAppIconUrl      string `json:"we_app_icon_url"`
			} `json:"we_app_info"`
		} `json:"single_url_list"`
		WeAppInfo struct {
			AppId             string `json:"app_id"`
			BannerUrl         string `json:"banner_url"`
			Desc              string `json:"desc"`
			PagePath          string `json:"page_path"`
			SourceDisplayName string `json:"source_display_name"`
			Title             string `json:"title"`
			UserName          string `json:"user_name"`
			WeAppIconUrl      string `json:"we_app_icon_url"`
		} `json:"we_app_info"`
	} `json:"resource_url_response"`
}

type WnMainThemeUrl struct {
	GoodsZsUnitGenerateResponse struct {
		MobileShortUrl string `json:"mobile_short_url"`
		MobileUrl      string `json:"mobile_url"`
		SchemaUrl      string `json:"schema_url"`
		ShortUrl       string `json:"short_url"`
		TzSchemaUrl    string `json:"tz_schema_url"`
		Url            string `json:"url"`
		WeAppPagePath  string `json:"we_app_page_path"`
		WeAppInfo      struct {
			AppId             string `json:"app_id"`
			BannerUrl         string `json:"banner_url"`
			Desc              string `json:"desc"`
			PagePath          string `json:"page_path"`
			SourceDisplayName string `json:"source_display_name"`
			Title             string `json:"title"`
			UserName          string `json:"user_name"`
			WeAppIconUrl      string `json:"we_app_icon_url"`
		} `json:"we_app_info"`
	} `json:"goods_zs_unit_generate_response"`
}
type RpUrl struct {
	RpPromotionUrlGenerateResponse struct {
		ResourceList []struct {
			Desc string `json:"desc"`
			Url  string `json:"url"`
		} `json:"resource_list"`
		UrlList []struct {
			MobileShortUrl           string `json:"mobile_short_url"`
			MobileUrl                string `json:"mobile_url"`
			MultiGroupMobileShortUrl string `json:"multi_group_mobile_short_url"`
			MultiGroupMobileUrl      string `json:"multi_group_mobile_url"`
			MultiGroupShortUrl       string `json:"multi_group_short_url"`
			MultiGroupUrl            string `json:"multi_group_url"`
			QqAppInfo                struct {
				AppId             string `json:"app_id"`
				BannerUrl         string `json:"banner_url"`
				Desc              string `json:"desc"`
				PagePath          string `json:"page_path"`
				QqAppIconUrl      string `json:"qq_app_icon_url"`
				SourceDisplayName string `json:"source_display_name"`
				Title             string `json:"title"`
				UserName          string `json:"user_name"`
			} `json:"qq_app_info"`
			SchemaUrl   string `json:"schema_url"`
			ShortUrl    string `json:"short_url"`
			TzSchemaUrl string `json:"tz_schema_url"`
			Url         string `json:"url"`
			WeAppInfo   struct {
				AppId             string `json:"app_id"`
				BannerUrl         string `json:"banner_url"`
				Desc              string `json:"desc"`
				PagePath          string `json:"page_path"`
				SourceDisplayName string `json:"source_display_name"`
				Title             string `json:"title"`
				UserName          string `json:"user_name"`
				WeAppIconUrl      string `json:"we_app_icon_url"`
			} `json:"we_app_info"`
			WeixinShortLink string `json:"weixin_short_link"`
		} `json:"url_list"`
	} `json:"rp_promotion_url_generate_response"`
}
type PromUrl struct {
	CmsPromotionUrlGenerateResponse struct {
		ResourceList []struct {
			Desc string `json:"desc"`
			Url  string `json:"url"`
		} `json:"resource_list"`
		UrlList []struct {
			MobileShortUrl           string `json:"mobile_short_url"`
			MobileUrl                string `json:"mobile_url"`
			MultiGroupMobileShortUrl string `json:"multi_group_mobile_short_url"`
			MultiGroupMobileUrl      string `json:"multi_group_mobile_url"`
			MultiGroupShortUrl       string `json:"multi_group_short_url"`
			MultiGroupUrl            string `json:"multi_group_url"`
			QqAppInfo                struct {
				AppId             string `json:"app_id"`
				BannerUrl         string `json:"banner_url"`
				Desc              string `json:"desc"`
				PagePath          string `json:"page_path"`
				QqAppIconUrl      string `json:"qq_app_icon_url"`
				SourceDisplayName string `json:"source_display_name"`
				Title             string `json:"title"`
				UserName          string `json:"user_name"`
			} `json:"qq_app_info"`
			SchemaUrl   string `json:"schema_url"`
			ShortUrl    string `json:"short_url"`
			TzSchemaUrl string `json:"tz_schema_url"`
			Url         string `json:"url"`
			WeAppInfo   struct {
				AppId             string `json:"app_id"`
				BannerUrl         string `json:"banner_url"`
				Desc              string `json:"desc"`
				PagePath          string `json:"page_path"`
				SourceDisplayName string `json:"source_display_name"`
				Title             string `json:"title"`
				UserName          string `json:"user_name"`
				WeAppIconUrl      string `json:"we_app_icon_url"`
			} `json:"we_app_info"`
			WeixinShortLink string `json:"weixin_short_link"`
		} `json:"url_list"`
	} `json:"cms_promotion_url_generate_response"`
}
