package md

type JingtuituiGetCircleList struct {
	ID            int      `json:"id"`
	JState        int      `json:"J_state"`
	JID           int      `json:"JID"`
	GoodsID       int64    `json:"goods_id"`
	ImgInfo       []string `json:"img_info"`
	NoShowContent string   `json:"no_show_content"`
	CircleContent []string `json:"circle_content"`
	Time          string   `json:"time"`
	ReleaseDate   string   `json:"release_date"`
	GoodsLink     string   `json:"goods_link"`
	DiscountLink  string   `json:"discount_link"`
	GoodsInfo     struct {
		ShortName          string      `json:"short_name"`
		GoodsName          string      `json:"goods_name"`
		GoodsContent       string      `json:"goods_content"`
		LinkContent        string      `json:"link_content"`
		CommissionShare    interface{} `json:"commissionShare"`
		BrandID            int         `json:"brand_id"`
		InOrderCount30Days int         `json:"inOrderCount30Days"`
		InOrderComm30Days  int         `json:"inOrderComm30Days"`
		BrandCode          int         `json:"brandCode"`
		BrandName          string      `json:"brandName"`
		IsHot              int         `json:"isHot"`
		Comments           int         `json:"comments"`
		GoodCommentsShare  int         `json:"goodCommentsShare"`
		GoodsPrice         interface{} `json:"goods_price"`
		FinalPrice         interface{} `json:"final_price"`
		HistoryPriceDay    int         `json:"historyPriceDay"`
		GoodsImg           string      `json:"goods_img"`
		ImageList          string      `json:"imageList"`
		TodayNum           int         `json:"today_num"`
		DiscountPrice      interface{} `json:"discount_price"`
		GetStartTime       int64       `json:"get_start_time"`
		GetEndTime         int64       `json:"get_end_time"`
		ShopID             int         `json:"shop_id"`
		ShopName           string      `json:"shop_name"`
		Score              string      `json:"score"`
		Owner              string      `json:"owner"`
		GoodsType          int         `json:"goods_type"`
		GoodsSecondType    int         `json:"goods_second_type"`
		SpuID              int64       `json:"spu_id"`
		Cid1               int         `json:"cid1"`
		Cid1Name           string      `json:"cid1Name"`
		Cid2               int         `json:"cid2"`
		Cid2Name           string      `json:"cid2Name"`
		Cid3               int         `json:"cid3"`
		Cid3Name           string      `json:"cid3Name"`
		DeliveryType       int         `json:"deliveryType"`
		JdType             int         `json:"jd_type"`
		PingouPrice        interface{} `json:"pingouPrice"`
		PingouTmCount      interface{} `json:"pingouTmCount"`
		PingouURL          interface{} `json:"pingouUrl"`
		PingouStartTime    interface{} `json:"pingouStartTime"`
		PingouEndTime      interface{} `json:"pingouEndTime"`
		JdVideoList        interface{} `json:"jd_videoList"`
		PcWareStyle        string      `json:"pc_ware_style"`
		DiscountCount      int         `json:"discount_count"`
		IsFlagshipStore    int         `json:"is_flagship_store"`
		IsGoodShop         int         `json:"is_good_shop"`
		IsSubsidyGoods     int         `json:"is_subsidy_goods"`
	} `json:"goods_info"`
}
