package md

type MeituanFenXiaoGeoInfo struct {
	CityId int     `json:"cityId"`
	Lng    float64 `json:"lng"`
	Lat    float64 `json:"lat"`
}
type MeituanFenXiaoOrderResult struct {
	RecordCount int `json:"recordCount"`
	Page        int `json:"page"`
	PageSize    int `json:"pageSize"`
	Records     []struct {
		UtmSource             int     `json:"utmSource"`
		UtmMedium             string  `json:"utmMedium"`
		DisplayOrderId        string  `json:"displayOrderId"`
		OrderItemId           string  `json:"orderItemId"`
		DealName              string  `json:"dealName"`
		DealPicUrl            string  `json:"dealPicUrl"`
		ActualItemAmount      int     `json:"actualItemAmount"`
		DealOriginPrice       int     `json:"dealOriginPrice"`
		DealMerchantAllowance int     `json:"dealMerchantAllowance"`
		DealPlatformAllowance int     `json:"dealPlatformAllowance"`
		PoiUuid               string  `json:"poiUuid"`
		ShopName              string  `json:"shopName"`
		PoiBrandName          string  `json:"poiBrandName"`
		ShopCityName          string  `json:"shopCityName"`
		PoiCate0              string  `json:"poiCate0"`
		PoiCate1              string  `json:"poiCate1"`
		TransactionTime       string  `json:"transactionTime"`
		TransactionType       int     `json:"transactionType"`
		TransactionAmount     int     `json:"transactionAmount"`
		MediaName             string  `json:"mediaName"`
		PromotionName         string  `json:"promotionName"`
		OrderMtUserId         string  `json:"orderMtUserId"`
		EstimatedCommission   int     `json:"estimatedCommission"`
		CommissionRatio       float64 `json:"commissionRatio"`
		SettleStatus          int     `json:"settleStatus"`
		ExtraInfo             string  `json:"extraInfo"`
	} `json:"records"`
	PositionIndex string `json:"positionIndex"`
}
