package md

type TikTokBase struct {
	AuthType             string                 `json:"auth_type"`
	LiveAuthType         string                 `json:"live_auth_type"`
	ApiGoodsAppKey       string                 `json:"api_goods_app_key"`
	ApiGoodsAppSecret    string                 `json:"api_goods_app_secret"`
	ApiTeamAppKey        string                 `json:"api_team_app_key"`
	ApiTeamAppSecret     string                 `json:"api_team_app_secret"`
	ApiLiveAppKey        string                 `json:"api_live_app_key"`
	ApiLiveAppSecret     string                 `json:"api_live_app_secret"`
	GoodsAccessToken     string                 `json:"goods_access_token"`
	LiveAccessToken      string                 `json:"live_access_token"`
	TeamAccessToken      string                 `json:"team_access_token"`
	GoodsPid             string                 `json:"goods_pid"`
	LivePid              string                 `json:"live_pid"`
	SysApiGoodsAppKey    string                 `json:"sys_api_goods_app_key"`
	SysApiGoodsAppSecret string                 `json:"sys_api_goods_app_secret"`
	SysApiTeamAppKey     string                 `json:"sys_api_team_app_key"`
	SysApiTeamAppSecret  string                 `json:"sys_api_team_app_secret"`
	SysApiLiveAppKey     string                 `json:"sys_api_live_app_key"`
	SysApiLiveAppSecret  string                 `json:"sys_api_live_app_secret"`
	SysGoodsAccessToken  string                 `json:"sys_goods_access_token"`
	SysLiveAccessToken   string                 `json:"sys_live_access_token"`
	SysGoodsPid          string                 `json:"sys_goods_pid"`
	SysLivePid           string                 `json:"sys_live_pid"`
	AuthSubjectType      string                 `json:"auth_subject_type"`
	LiveAuthSubjectType  string                 `json:"live_auth_subject_type"`
	ExtendTeamTokenMap   map[string]interface{} `json:"extend_team_token_map"`
}
