package md

type PicturesData struct {
	BigPicture    string `json:"big_picture"`
	LittlePicture string `json:"little_picture"`
}
type SkusData struct {
	EffectivePrice interface{} `json:"effective_price"`
	SkuId          interface{} `json:"sku_id"`
	StockNum       interface{} `json:"stock_num"`
}
type SpecsData struct {
	Name      string `json:"name"`
	SpecItems []struct {
		Id   string `json:"id"`
		Name string `json:"name"`
	} `json:"spec_items"`
}
type SkuData struct {
	Pictures map[string]PicturesData `json:"pictures"`
	Skus     map[string]SkusData     `json:"skus"`
	Specs    []SpecsData             `json:"specs"`
}
