package wph

type WphGoods struct {
	Gid            string   `json:"gid"`
	AdCode         string   `json:"adCode"`
	GoodsTitle     string   `json:"goods_title"`
	GoodsDesc      string   `json:"goods_desc"`
	GoodsImg       string   `json:"goods_img"`
	ImgList        []string `json:"img_list"`
	SourceType     string   `json:"sourceType"`
	GoodsPrice     string   `json:"goods_price"`
	GoodsCostPrice string   `json:"goods_cost_price"`
	Commission     string   `json:"commission"`
	CommissionRate string   `json:"commission_rate"`
	Discount       string   `json:"discount"`
	YhqPrice       string   `json:"yhq_price"`
	CouponPrice    string   `json:"coupon_price"`
}
type OfficialGoods struct {
	IsAllowanceGoods       int      `json:"isAllowanceGoods"`
	MarketPrice            string   `json:"marketPrice"`
	CommissionRate         string   `json:"commissionRate"`
	WhiteImage             string   `json:"whiteImage"`
	GoodsId                string   `json:"goodsId"`
	GoodsDesc              string   `json:"goodsDesc"`
	Discount               string   `json:"discount"`
	CouponPriceType        int      `json:"couponPriceType"`
	GoodsCarouselPictures  []string `json:"goodsCarouselPictures"`
	GoodsDetailPictures    []string `json:"goodsDetailPictures"`
	CategoryName           string   `json:"categoryName"`
	HaiTao                 int      `json:"haiTao"`
	Cat2NdName             string   `json:"cat2ndName"`
	IsSubsidyActivityGoods bool     `json:"isSubsidyActivityGoods"`
	GoodsPromotionInfo     struct {
		MarketPrice   string `json:"marketPrice"`
		LowPriceTag   string `json:"lowPriceTag"`
		SalePriceDesc string `json:"salePriceDesc"`
		SalePrice     string `json:"salePrice"`
		Discount      string `json:"discount"`
	} `json:"goodsPromotionInfo"`
	Cat1StName      string `json:"cat1stName"`
	DestUrlPc       string `json:"destUrlPc"`
	AdCode          string `json:"adCode"`
	VipPrice        string `json:"vipPrice"`
	Commission      string `json:"commission"`
	ProductSales    string `json:"productSales"`
	Sn              string `json:"sn"`
	Cat1StId        int    `json:"cat1stId"`
	GoodsName       string `json:"goodsName"`
	BrandName       string `json:"brandName"`
	BrandLogoFull   string `json:"brandLogoFull"`
	BrandStoreSn    string `json:"brandStoreSn"`
	Weight          int    `json:"weight"`
	SellTimeFrom    int64  `json:"sellTimeFrom"`
	SchemeStartTime int64  `json:"schemeStartTime"`
	SchemeEndTime   int64  `json:"schemeEndTime"`
	SourceType      int    `json:"sourceType"`
	SellTimeTo      int64  `json:"sellTimeTo"`
	BrandId         int    `json:"brandId"`
	GoodsThumbUrl   string `json:"goodsThumbUrl"`
	Cat2NdId        int    `json:"cat2ndId"`
	SpuId           string `json:"spuId"`
	StoreInfo       struct {
		StoreName string `json:"storeName"`
		StoreId   string `json:"storeId"`
	} `json:"storeInfo"`
	EstimatePrice    string `json:"estimatePrice"`
	GoodsMainPicture string `json:"goodsMainPicture"`
	DestUrl          string `json:"destUrl"`
	CategoryId       int    `json:"categoryId"`
	Status           int    `json:"status"`
	CouponInfo       struct {
		Fav string `json:"fav"`
	} `json:"couponInfo"`
	ExclusiveCoupon struct {
		Fav string `json:"fav"`
	} `json:"exclusiveCoupon"`
}
