package request

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_third_party_api.git/taobao/topsdk/defaultability/domain"
	zhios_third_party_utils "code.fnuoos.com/go_rely_warehouse/zyos_go_third_party_api.git/utils"
)

type AlibabaAlscUnionKbCommonEncryptRequest struct {
	/*
	   待加密对象     */
	EncryptModel *domain.AlibabaAlscUnionKbCommonEncryptBlowfishModel `json:"encrypt_model,omitempty" required:"false" `
}

func (s *AlibabaAlscUnionKbCommonEncryptRequest) SetEncryptModel(v domain.AlibabaAlscUnionKbCommonEncryptBlowfishModel) *AlibabaAlscUnionKbCommonEncryptRequest {
	s.EncryptModel = &v
	return s
}

func (req *AlibabaAlscUnionKbCommonEncryptRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.EncryptModel != nil {
		paramMap["encrypt_model"] = zhios_third_party_utils.ConvertStruct(*req.EncryptModel)
	}
	return paramMap
}

func (req *AlibabaAlscUnionKbCommonEncryptRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
