package request

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_third_party_api.git/taobao/topsdk/defaultability/domain"
	zhios_third_party_utils "code.fnuoos.com/go_rely_warehouse/zyos_go_third_party_api.git/utils"
)

type AlibabaAlscUnionKbOrderCreateRequest struct {
	/*
	   订单对象     */
	OrderDto *domain.AlibabaAlscUnionKbOrderCreateOrderDto `json:"order_dto" required:"true" `
}

func (s *AlibabaAlscUnionKbOrderCreateRequest) SetOrderDto(v domain.AlibabaAlscUnionKbOrderCreateOrderDto) *AlibabaAlscUnionKbOrderCreateRequest {
	s.OrderDto = &v
	return s
}

func (req *AlibabaAlscUnionKbOrderCreateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.OrderDto != nil {
		paramMap["order_dto"] = zhios_third_party_utils.ConvertStruct(*req.OrderDto)
	}
	return paramMap
}

func (req *AlibabaAlscUnionKbOrderCreateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
