package request

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_third_party_api.git/taobao/topsdk/defaultability/domain"
	zhios_third_party_utils "code.fnuoos.com/go_rely_warehouse/zyos_go_third_party_api.git/utils"
)

type AlibabaAlscUnionKbOrderRefundRequest struct {
	/*
	   退款对象     */
	OrderRefundDto *domain.AlibabaAlscUnionKbOrderRefundOrderRefundDto `json:"order_refund_dto" required:"true" `
}

func (s *AlibabaAlscUnionKbOrderRefundRequest) SetOrderRefundDto(v domain.AlibabaAlscUnionKbOrderRefundOrderRefundDto) *AlibabaAlscUnionKbOrderRefundRequest {
	s.OrderRefundDto = &v
	return s
}

func (req *AlibabaAlscUnionKbOrderRefundRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.OrderRefundDto != nil {
		paramMap["order_refund_dto"] = zhios_third_party_utils.ConvertStruct(*req.OrderRefundDto)
	}
	return paramMap
}

func (req *AlibabaAlscUnionKbOrderRefundRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
