package tik_tok

import zhios_third_party_utils "code.fnuoos.com/go_rely_warehouse/zyos_go_third_party_api.git/utils"

//达人橱窗
//https://buyin.jinritemai.com/dashboard/service-provider/doc-center
//https://developer.open-douyin.com/docs/resource/zh-CN/dop/develop/openapi/account-permission/get-access-token
var clientKey = "awxen1ub0ipjum5s"
var clientSecret = "f0eb041ad451bd3a943976079864246d"

//获取 access_token
func GetKolAuthAccessToken(code string) (string, error) {
	args := map[string]string{
		"client_key":    clientKey,
		"client_secret": clientSecret,
		"code":          code,
		"grant_type":    "authorization_code",
	}
	post, err := zhios_third_party_utils.CurlPost("https://open.douyin.com/oauth/access_token/", args, nil)
	return string(post), err
}

//刷新 access_token
func RefreshKolAuthAccessToken(refreshToken string) (string, error) {
	args := map[string]string{
		"client_key":    clientKey,
		"refresh_token": refreshToken,
		"grant_type":    "refresh_token",
	}
	post, err := zhios_third_party_utils.CurlPost("https://open.douyin.com/oauth/refresh_token/", args, nil)
	return string(post), err
}

//刷新 refresh_token
func RefreshKolAuthRefreshAccessToken(refreshToken string) (string, error) {
	args := map[string]string{
		"client_key":    clientKey,
		"refresh_token": refreshToken,
	}
	post, err := zhios_third_party_utils.CurlPost("https://open.douyin.com/oauth/renew_refresh_token/", args, nil)
	return string(post), err
}

//生成 client_token
func CreateKolAuthClientToken(refreshToken string) (string, error) {
	args := map[string]string{
		"client_key":    clientKey,
		"client_secret": clientSecret,
		"grant_type":    "client_credential",
	}
	post, err := zhios_third_party_utils.CurlPost("https://open.douyin.com/oauth/renew_refresh_token/", args, nil)
	return string(post), err
}
