package yunyangwl_express

//检测渠道接口
func GetChannel(appid, secretKey string, params map[string]interface{}) (string, error) {
	return Send("CHECK_CHANNEL_INTELLECT", appid, secretKey, params)
}

//查询账户余额接口
func GetBalance(appid, secretKey string, params map[string]interface{}) (string, error) {
	return Send("QUERY_BALANCE", appid, secretKey, params)
}

//查询黑名单
func GetBLack(appid, secretKey string, params map[string]interface{}) (string, error) {
	return Send("QUERY_BLACK", appid, secretKey, params)
}

//查询原价
func GetOriginalPrice(appid, secretKey string, params map[string]interface{}) (string, error) {
	return Send("QUERY_ORIGINAL_PRICE", appid, secretKey, params)
}

//下单接口
func CreateOrder(appid, secretKey string, params map[string]interface{}) (string, error) {
	return Send("ADD_BILL_INTELLECT", appid, secretKey, params)
}

//取消订单接口
func CancelOrder(appid, secretKey string, params map[string]interface{}) (string, error) {
	return Send("CANCEL", appid, secretKey, params)
}

//查询运单轨迹接口
func GetTrance(appid, secretKey string, params map[string]interface{}) (string, error) {
	return Send("QUERY_TRANCE", appid, secretKey, params)
}

//查询订单详情
func GetOrderDetail(appid, secretKey string, params map[string]interface{}) (string, error) {
	return Send("QUERY_BILL_INFO", appid, secretKey, params)
}

//获取得物收件地址
func GetDewuAddress(appid, secretKey string, params map[string]interface{}) (string, error) {
	return Send("QUERY_DEWU_ADDRESS", appid, secretKey, params)
}

//德邦筛单接口
func GetDebangCheck(appid, secretKey string, params map[string]interface{}) (string, error) {
	return Send("CHECK_EXPRESS", appid, secretKey, params)
}
